Bug 201362 - "Rename Mode" clumsy
"Rename Mode" clumsy
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.1
PC Linux
: P4 (vote)
: 7.1
Assigned To: Jaroslav Tulach
issues@platform
: UI
Depends on:
Blocks: 198318
  Show dependency treegraph
 
Reported: 2011-08-26 13:18 UTC by Jesse Glick
Modified: 2011-08-28 14:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2011-08-26 13:18:45 UTC
In design mode, you can edit the name of a mode in a text box and click "Rename Mode". Would be simpler to just rename the mode as you type changes.

(Ideally would replace the mode title in the title bar with a text field so you could edit in place.)
Comment 1 Jaroslav Tulach 2011-08-26 14:04:40 UTC
Type the name, press enter.
Comment 2 Jesse Glick 2011-08-26 14:14:42 UTC
This is not obvious, since the focused component is not in a dialog.

Why not simply rename as you type?
Comment 3 Jaroslav Tulach 2011-08-27 07:47:44 UTC
OK. Instant rename seems more user friendly.
Comment 4 Jaroslav Tulach 2011-08-27 07:50:09 UTC
ergonomics#446a726bbbe7
Comment 5 Quality Engineering 2011-08-28 14:01:43 UTC
Integrated into 'main-golden', will be available in build *201108280601* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/446a726bbbe7
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #201362: Instant mode rename while typing


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo